Last Comment Bug 696139 - [highlighter] Attach the InspectorUI instance when notifying "highlighter-ready"
: [highlighter] Attach the InspectorUI instance when notifying "highlighter-ready"
Status: RESOLVED FIXED
[fixed-in-fx-team][qa-]
:
Product: Firefox
Classification: Client Software
Component: Developer Tools (show other bugs)
: Trunk
: x86 Mac OS X
: P3 normal (vote)
: Firefox 11
Assigned To: Paul Rouget [:paul]
:
Mentors:
Depends on:
Blocks: 663830
  Show dependency treegraph
 
Reported: 2011-10-20 10:27 PDT by Paul Rouget [:paul]
Modified: 2012-01-03 13:11 PST (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
+
fixed


Attachments
patch v1 (1.00 KB, patch)
2011-10-20 10:30 PDT, Paul Rouget [:paul]
rcampbell: review+
Details | Diff | Review
patch v1.1 (2.08 KB, patch)
2011-11-21 08:50 PST, Paul Rouget [:paul]
asa: approval‑mozilla‑aurora+
Details | Diff | Review

Description Paul Rouget [:paul] 2011-10-20 10:27:34 PDT
When developing an addon, we have to deal with several possible instances of the Inspector (one per window). It would make our life easier if we could just listen to "highlighter-ready" and get the instance from there.
Comment 1 Paul Rouget [:paul] 2011-10-20 10:30:28 PDT
Created attachment 568436 [details] [diff] [review]
patch v1
Comment 2 Rob Campbell [:rc] (:robcee) 2011-10-20 12:54:51 PDT
Comment on attachment 568436 [details] [diff] [review]
patch v1

ok
Comment 3 Rob Campbell [:rc] (:robcee) 2011-10-26 07:00:35 PDT
Comment on attachment 568436 [details] [diff] [review]
patch v1

paul, we should create a test for this before landing. It's ok to tweak one of the initialization tests to check for the object on the observer.

should've asked for this sooner, sorry!
Comment 4 Paul Rouget [:paul] 2011-11-21 08:50:04 PST
Created attachment 575877 [details] [diff] [review]
patch v1.1
Comment 5 Rob Campbell [:rc] (:robcee) 2011-11-21 13:02:03 PST
https://hg.mozilla.org/integration/fx-team/rev/ec7522554d45
Comment 6 Rob Campbell [:rc] (:robcee) 2011-11-22 06:39:00 PST
https://hg.mozilla.org/mozilla-central/rev/ec7522554d45
Comment 7 Rob Campbell [:rc] (:robcee) 2011-11-22 06:39:57 PST
Comment on attachment 575877 [details] [diff] [review]
patch v1.1

I believe we should land this simple patch in aurora. It's for a new feature and will greatly-improve the add-on potential for the Highlighter. It is low-risk.
Comment 8 Rob Campbell [:rc] (:robcee) 2011-11-23 02:38:49 PST
https://hg.mozilla.org/releases/mozilla-aurora/rev/099f38cc6d16
Comment 9 Anthony Hughes (:ashughes) [GFX][QA][Mentor] 2011-12-28 14:30:12 PST
Is there something QA can do to verify this fix?
Comment 10 Paul Rouget [:paul] 2012-01-03 02:54:54 PST
(In reply to Anthony Hughes, Mozilla QA (irc: ashughes) from comment #9)
> Is there something QA can do to verify this fix?

No, not really.

Note You need to log in before you can comment on or make changes to this bug.